//Autore: Giuliano Pellegrini Parisi

//Data: 3 dicembre 2008

//Classe: 3^Sirio Inf.

//Oggetto: Implementazione progetto calcolo area e perimetro di un triangolo

//Release: 0.1

using fbblAcquisizioni;
using fbblControlli;
using fbblGeometriaPiana;
using fbblMessaggi;

    class EsecuzioneProgramma
    {

        static void Main(string[] args)
        {

            double Lato1;
            double Lato2;
            double Lato3;
            double Area;
            double Perimetro;
            bool ControlloOK;

            do
            {
                Lato1 = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci il valore del lato1 -> ");
                Lato2 = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci il valore del lato2 -> ");
                Lato3 = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci il valore del lato3 -> ");

                StrumentiControlli.ControlloTriangolo(Lato1,Lato2,Lato3,out ControlloOK);

                if (ControlloOK == false)
                {
                    StrumentiMessaggi.MessaggioTriangolo(Lato1,Lato2,Lato3);
                }
                
                
            } while (ControlloOK==false);

            Perimetro = StrumentiGeometriaPiana.PerimetroTriangolo(Lato1,Lato2,Lato3);
            Area = StrumentiGeometriaPiana.AreaTriangolo(Lato1, Lato2, Lato3);

            StrumentiMessaggi.MessaggioDatoCalcolato("Il perimetro vale: ",Perimetro);
            StrumentiMessaggi.MessaggioDatoCalcolato("L'area vale: ",Area);

            StrumentiMessaggi.Messaggio("Premere un tasto per chiudere il programma...",true);
            StrumentiAcquisizioni.AttesaPressioneTasto();


        }

    }

